VirtualBox Main API

Public Member Functions | Public Attributes | List of all members
IRecordingSettings Interface Reference

The IRecordingSettings interface represents recording settings of the virtual machine. More...

Inheritance diagram for IRecordingSettings:

## Public Member Functions
void | getScreenSettings (in unsigned long screenId, [retval] out IRecordingScreenSettings recordScreenSettings)
| Returns the recording settings for a particular screen.
void | start ([retval] out IProgress progress)
| Starts recording and returns a progress object.
void | resume ()
| Resumes the recording.

## Public Attributes
attribute boolean | paused
| Pauses the recording or returns the current paused status.
attribute boolean | enabled
| This setting determines whether recording is enabled for this VM.
readonly attribute IRecordingScreenSettings[] | screens
| This setting returns an array for recording settings of all configured virtual screens.
readonly attribute IProgress | progress
| Returns the recording progress object.

## Detailed Description

The IRecordingSettings interface represents recording settings of the virtual machine.

This is used only in the IMachine::recordingSettings attribute.

Interface ID:
  `{83CFDC66-4F20-4569-AD39-8722F7D472B3}`

## Member Function Documentation

## ◆ getScreenSettings()

void IRecordingSettings::getScreenSettings | ( | in unsigned long | screenId,
|  | [retval] out IRecordingScreenSettings | recordScreenSettings
| ) |  |

Returns the recording settings for a particular screen.

Parameters

  screenId | Screen ID to retrieve recording screen settings for.
  recordScreenSettings | Recording screen settings for the requested screen.

## ◆ start()

void IRecordingSettings::start | ( | [retval] out IProgress | progress | ) |

Starts recording and returns a progress object.

Parameters

  progress | The recording progress object for this VM.

## ◆ resume()

void IRecordingSettings::resume | ( |  | ) |

Resumes the recording.

Note
  Currently not implemented.
  This will not affect the recording progress object.

## Member Data Documentation

## ◆ paused

attribute boolean IRecordingSettings::paused

Pauses the recording or returns the current paused status.

If recording already has been paused, this attribute does nothing.

Expected result codes:

  E_FAIL | Unable to pause recording due to pausing not available. See error message for more information.
  VBOX_E_NOT_SUPPORTED | Pausing is not supported.

Note
  Currently not implemented.
  This will not affect the recording progress object.

## ◆ enabled

attribute boolean IRecordingSettings::enabled

This setting determines whether recording is enabled for this VM.

Note that this attribute does not actually start or stop recording. For starting recording, use IRecordingSettings::start, for stopping, use the progress object via IRecordingSettings::progress.

If a VM is being started with this setting enabled, recording automatically will be started with the currently configured recording settings.

## ◆ screens

readonly attribute IRecordingScreenSettings [] IRecordingSettings::screens

This setting returns an array for recording settings of all configured virtual screens.

## ◆ progress

readonly attribute IProgress IRecordingSettings::progress

Returns the recording progress object.

Also valid when recording has been paused.

Cancelling the progress will stop the recording.

Expected result codes:

  E_FAIL | Failed to get the recording progress object due to not (yet) started recording.